Page MenuHomePhabricator

[DAGCombiner] Limit number of nodes explored as store candidates.
ClosedPublic

Authored by fhahn on May 3 2019, 8:09 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

fhahn created this revision.May 3 2019, 8:09 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 3 2019, 8:09 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
niravd added a comment.May 5 2019, 1:37 PM

This is okay modulo nits, but let's land the TokenFactor operand size limiting first as it also implicitly bounds things.

llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
14845 ↗(On Diff #198009)

nit: use prefix increment to be consistent with other uses.

14857 ↗(On Diff #198009)

nit: same

fhahn updated this revision to Diff 198324.May 6 2019, 12:35 PM
fhahn marked 3 inline comments as done.

Updated increments.

This is okay modulo nits, but let's land the TokenFactor operand size limiting first as it also implicitly bounds things.

Thanks, the token factor size limiting patch is at D61397, please let me know what you think and
if there is a better place to do the limiting somewhere else.

fhahn added inline comments.May 6 2019, 12:38 PM
llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
14845 ↗(On Diff #198009)

Done,thanks!

niravd accepted this revision.May 9 2019, 8:58 AM

LGTM.

This revision is now accepted and ready to land.May 9 2019, 8:58 AM
This revision was automatically updated to reflect the committed changes.